CVE-2023-43796

CVSS 3.1 Score 5.3 of 10 (medium)

Details

Published Oct 31, 2023
Updated: Jan 7, 2024
CWE ID 200

Summary

CVE-2023-43796 is a vulnerability that affects Synapse, an open-source Matrix homeserver. Versions prior to 1.95.1 and 1.96.0rc1 allow for the querying of cached device information of remote users, which can be used to enumerate the remote users known to a homeserver. To remediate this vulnerability, system administrators are encouraged to upgrade to Synapse 1.95.1 or 1.96.0rc1 in order to receive a patch. As a temporary workaround, the use of the federation_domain_whitelist can limit federation traffic with a homeserver. This vulnerability poses a medium risk with a base score of 5.3 and confidentiality impact rated as low according to CVSS:3.1 metrics provided by security-advisories@github.com source, but no further analysis or potential danger information is available at this time.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-43796 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options